Package twisted :: Package application :: Module internet :: Class UNIXServer

[frames | no frames]

## Class UNIXServer

             Service --+
                       |
    _VolatileDataService --+
                           |
             _AbstractServer --+
                               |
                              UNIXServer

Serve UNIX clients

Call reactor.listenUNIX when the service starts, with the arguments given to the constructor. When the service stops, stop listening. See twisted.internet.interfaces for documentation on arguments to the reactor method.

Method Summary
Inherited from _AbstractServer
| ``__init__`(self, *args, **kwargs)`
| ``_getPort`(self)`
| ``privilegedStartService`(self)`
| ``startService`(self)`
| ``stopService`(self)`
Inherited from _VolatileDataService
| ``__getstate__`(self)`
Inherited from Service
| ``disownServiceParent`(self)`
| ``setName`(self, name)`
| ``setServiceParent`(self, parent)`

Class Variable Summary
`str` | `method` = `'UNIX'`
Inherited from _AbstractServer
`int` | `privileged` = 1
`list` | `volatile` = `['_port']`
Inherited from Service
`tuple` | `__implements__` = `(<class twisted.application.service.ISe...`
`NoneType` | `name` = None
`NoneType` | `parent` = None
`int` | `running` = 0

Class Variable Details

### method

  Type:
    `str`
  Value:

        'UNIX'

Generated by Epydoc 2.0 on Sat May 15 20:08:05 2004 | http://epydoc.sf.net